Bug 1014321 - [abrt] evolution-3.8.5-2.fc19: g_data_set_internal: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.8.5-2.fc19: g_data_set_internal: Process /usr/bin/evolutio...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:21746effdfa6cdfdc269543af10...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 13:34 EDT by Sergio Monteiro Basto
Modified: 2013-11-08 05:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 05:43:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (181.67 KB, text/plain)
2013-10-01 13:34 EDT, Sergio Monteiro Basto
no flags Details
File: cgroup (139 bytes, text/plain)
2013-10-01 13:34 EDT, Sergio Monteiro Basto
no flags Details
File: core_backtrace (156.38 KB, text/plain)
2013-10-01 13:34 EDT, Sergio Monteiro Basto
no flags Details
File: dso_list (27.82 KB, text/plain)
2013-10-01 13:34 EDT, Sergio Monteiro Basto
no flags Details
File: environ (2.39 KB, text/plain)
2013-10-01 13:34 EDT, Sergio Monteiro Basto
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-01 13:34 EDT, Sergio Monteiro Basto
no flags Details
File: maps (155.73 KB, text/plain)
2013-10-01 13:34 EDT, Sergio Monteiro Basto
no flags Details
File: open_fds (3.74 KB, text/plain)
2013-10-01 13:35 EDT, Sergio Monteiro Basto
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-10-01 13:35 EDT, Sergio Monteiro Basto
no flags Details
File: var_log_messages (234 bytes, text/plain)
2013-10-01 13:35 EDT, Sergio Monteiro Basto
no flags Details

  None (edit)
Description Sergio Monteiro Basto 2013-10-01 13:34:27 EDT
Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/evolution
crash_function: g_data_set_internal
executable:     /usr/bin/evolution
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_data_set_internal at gdataset.c:383
 #7 g_datalist_id_set_data_full at gdataset.c:674
 #8 g_object_notify_queue_thaw at gobject.c:287
 #10 g_object_new_valist at gobject.c:1836
 #12 g_object_bind_property_full at gbinding.c:936
 #13 g_object_bind_property at gbinding.c:1010
 #14 settings_mail_formatter_constructed at e-settings-mail-formatter.c:143
 #16 g_object_new_valist at gobject.c:1836
 #18 extensible_load_extension at e-extensible.c:97
 #19 e_type_traverse at e-module.c:362
Comment 1 Sergio Monteiro Basto 2013-10-01 13:34:31 EDT
Created attachment 806110 [details]
File: backtrace
Comment 2 Sergio Monteiro Basto 2013-10-01 13:34:38 EDT
Created attachment 806111 [details]
File: cgroup
Comment 3 Sergio Monteiro Basto 2013-10-01 13:34:41 EDT
Created attachment 806112 [details]
File: core_backtrace
Comment 4 Sergio Monteiro Basto 2013-10-01 13:34:45 EDT
Created attachment 806113 [details]
File: dso_list
Comment 5 Sergio Monteiro Basto 2013-10-01 13:34:49 EDT
Created attachment 806114 [details]
File: environ
Comment 6 Sergio Monteiro Basto 2013-10-01 13:34:53 EDT
Created attachment 806115 [details]
File: limits
Comment 7 Sergio Monteiro Basto 2013-10-01 13:34:58 EDT
Created attachment 806116 [details]
File: maps
Comment 8 Sergio Monteiro Basto 2013-10-01 13:35:02 EDT
Created attachment 806117 [details]
File: open_fds
Comment 9 Sergio Monteiro Basto 2013-10-01 13:35:06 EDT
Created attachment 806118 [details]
File: proc_pid_status
Comment 10 Sergio Monteiro Basto 2013-10-01 13:35:11 EDT
Created attachment 806119 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-10-02 05:55:34 EDT
Thanks for a bug report. I see the malloc recognized a "free(): invalid pointer" error, which means that there happened a memory corruption (the application accessed memory it might not, most likely). Such errors can be recognized in various occasions, not necessarily immediately after such write happened, thus it's quite hard to find out where the issue happened, without any hints. Do you have idea what you did before the crash, please? Any detail may help to identify the cause of the issue.
Comment 12 Sergio Monteiro Basto 2013-10-17 13:35:55 EDT
Hi, 
Sorry for delay , but wasn't a easy question , I find out all my problems came from suspend laptop with evolution running , when I resume computer all things strange happens .
Sometimes inbox don't display any message, says empty folder ... 
Recently filter instead delete and copy to folder , moves the message to folder , and disappears the deletes messages in inbox .

Scroll stop work correctly since I upgrade to F19 , I use evolution in a kde. 

and I have some messages about old keyring , how I update to new keyring ...
Comment 13 Milan Crha 2013-11-05 10:26:23 EST
Please see bug #1024314 for the suspend/resume issue, I might cause part of your problems within evolution-data-server-3.8.5-5 update for Fedora 19, which I reverted in 3.8.5-6 release (will reach updates testing soon).

I cannot tell much about the last two things, they seem to be general system issues (I also see nonworking touchpad scroll in some environments, for which I would blame gtk3; the keyring issue is new to me, I did not notice any comment on it yet).

Are you on evolution-data-server-3.8.5-5? Will update to evolution-data-server-3.8.5-6 help anyhow?
Comment 14 Sergio Monteiro Basto 2013-11-05 11:55:02 EST
Hi , many thanks for all the tips .

yes, I use evolution-data-server-3.8.5-5.fc19.x86_64 

rpm -q evolution-data-server 
evolution-data-server-3.8.5-5.fc19.x86_64

I already migrate my gnome-keyring :
http://unix.stackexchange.com/questions/20451/gnome-keyring-daemon-couldnt-allocate-secure-memory/96902#96902 , and all gnome things works better.

I will test new version , for the record , this abrt crash, seems seasonal, and many times abrt say that backtrace is unrecoverable. 
Note I have emails since 2004, just check recently . 

Best regards,
Comment 15 Milan Crha 2013-11-05 12:39:17 EST
Thanks for the update. What do you mean with 'seasonal', please? Is it that you can reproduce this on will, after certain set of steps?
Comment 16 Sergio Monteiro Basto 2013-11-05 20:01:50 EST
seasonal , just happen in some times of the year :) like in spring , during a week or two happens 10 times, after that 2 months without the problem . and No I can't reproduce it , is fedora updates ...

Thanks.
Comment 17 Milan Crha 2013-11-08 05:43:08 EST
Aah, I see. :) Please try with 3.8.5-6, as I mentioned above, just in case. I'm closing this for now, because I do not see much from the backtrace, but feel free to reopen, update this bug or fill a new, if it happens again for you (as a memory corruption bug, it can reveal itself anywhere in the code, thus the pairing with this bug will be surely unclear).

Note You need to log in before you can comment on or make changes to this bug.